#if !defined(AFX_TIRQTHREAD_H__038ACBF0_2163_423F_AE94_C01BD428A2A5__INCLUDED_)
#define AFX_TIRQTHREAD_H__038ACBF0_2163_423F_AE94_C01BD428A2A5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TIRQThread.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// TIRQThread thread

class TIRQThread : public CWinThread
{
	DECLARE_DYNCREATE(TIRQThread)
protected:
    TIRQThread(void);           // protected constructor used by dynamic creation     

// Attributes
public:
    TCOSData COSData[10];
    unsigned long LastError;
	unsigned long COSPPIs;
    int CardNum;
	CSampDlg* MainWnd;
	void SetOwner(CSampDlg* pOwner) { MainWnd = pOwner; };

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(TIRQThread)
	public:
	virtual BOOL InitInstance();
	virtual int Run();
	//}}AFX_VIRTUAL

// Implementation
public:
	unsigned long WaitForIRQType();
	void ReportIRQ();
	void ReportError(void);
	virtual ~TIRQThread();

	// Generated message map functions
	//{{AFX_MSG(TIRQThread)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TIRQTHREAD_H__038ACBF0_2163_423F_AE94_C01BD428A2A5__INCLUDED_)
