//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>

struct TCOSData{
  unsigned char A,B,C;
};
//---------------------------------------------------------------------------
class TMainForm : public TForm
{


__published:	// IDE-managed Components
        TPanel *Panel1;
        TComboBox *CardCombo;
        TPanel *ControlPanel;
        TGroupBox *WDGGroup;
        TLabel *StatusLabel;
        TLabel *TempLabel;
        TButton *WDGIRQButton;
        TRadioButton *SoftRestartRadio;
        TRadioButton *MostlySoftRestartRadio;
        TCheckBox *DisableWDGCheck;
        TRadioButton *NoRestartRadio;
        TButton *GoWDGButton;
        TButton *CancelWDGButton;
        TButton *TempButton;
        TButton *StatusButton;
        TButton *RebootButton;
        TGroupBox *COSGroup;
        TLabel *COSDataLabel;
        TButton *COSIRQButton;
        TGroupBox *GenGroup;
        TLabel *GenIRQLabel;
        TButton *GenIRQButton;
        TButton *AbortButton;
        TMemo *LogMemo;
        TTimer *WDGTime;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall CardComboChange(TObject *Sender);
        void __fastcall GenIRQButtonClick(TObject *Sender);
        void __fastcall AddLine(int CardNum, AnsiString Line);
        void __fastcall AbortButtonClick(TObject *Sender);
        void __fastcall COSIRQButtonClick(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall ReceiveCOSData(int CardNum, TCOSData COSData[]);
        void __fastcall ReceiveGenIRQ(int CardNum);
        void __fastcall WDGIRQButtonClick(TObject *Sender);
        void __fastcall GoWDGButtonClick(TObject *Sender);
        void __fastcall WDGPetTimer(TObject *Sender);
        void __fastcall WDGWaitTimer(TObject *Sender);
        void __fastcall CancelWDGButtonClick(TObject *Sender);
        void __fastcall TempButtonClick(TObject *Sender);
        void __fastcall StatusButtonClick(TObject *Sender);
        void __fastcall RebootButtonClick(TObject *Sender);
        void __fastcall TestButtonClick(TObject *Sender);
        void __fastcall CtrMode(long addr, char cntr, char mode);
        void __fastcall CtrLoad(long addr, long c, long val);
private:	// User declarations
public: 	// User declarations
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
